# class Touch

#### package lime.ui

Available on all platforms

### Constructor

###

`new (x:Float, y:Float, id:Int, dx:Float, dy:Float, pressure:Float, device:Int)`

### Variables

###

`device:Int`

###

`dx:Float`

###

`dy:Float`

###

`id:Int`

###

`pressure:Float`

###

`x:Float`

###

`y:Float`

### Static variables

###

`staticonCancel:Event<Touch ‑> Void> = new Event<Touch>()`

###

`staticonEnd:Event<Touch ‑> Void> = new Event<Touch>()`

###

`staticonMove:Event<Touch ‑> Void> = new Event<Touch>()`

###

`staticonStart:Event<Touch ‑> Void> = new Event<Touch>()`